Package org.apache.solr.client.solrj.request.beans

## Class RebalanceLeadersPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.RebalanceLeadersPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

    public class RebalanceLeadersPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`Integer` `maxAtOnce`
`Integer` `maxWaitSeconds`

### Constructor Summary

Constructors
`RebalanceLeadersPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### maxAtOnce

    public Integer maxAtOnce

#### maxWaitSeconds

    public Integer maxWaitSeconds

### Constructor Detail

#### RebalanceLeadersPayload

    public RebalanceLeadersPayload()